Download it now!
Bug 100286 - Database creation wizard halts in step 1
Summary: Database creation wizard halts in step 1
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.3.0
Keywords: regression
Depends on:
Blocks: Database-Wizard
  Show dependency treegraph
 
Reported: 2016-06-09 09:35 UTC by Alex Thurgood
Modified: 2017-10-23 20:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2016-06-09 09:35:38 UTC
Encountered today on master 5.3.0 alpha, both on Linux and OSX

1) Start the DB creation wizard.
2) Choose a connection to an existing DB
3) Clicking on Next has no effect. The only option is to Cancel.


regression
Comment 1 Alex Thurgood 2016-06-09 09:39:07 UTC
The same result is encountered when trying to attempt to create a new embedded hsqldb ODB file.

Version: 5.3.0.0.alpha0+
Build ID: 4d49c9601c9b3e26a336e08e057d299895683480
Threads CPU : 4; Version de l'OS :Linux 3.19; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8)
Comment 2 Julien Nabet 2016-06-09 18:29:25 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
But even worse, just clicking "Next" with by default option "Create a new DB", does nothing.
Comment 3 Commit Notification 2016-06-09 19:01:16 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de4c5283ac475c0eec757057471fc75d3f933576

tdf#100286 Fix deactivate flags

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2016-06-10 17:06:49 UTC
With master sources updated today, I don't reproduce this.

Thank you Maxim!